App\Entity\AeroPorti:
    type: entity
    table: aero_porti
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        iata:
            type: string
            nullable: false
            length: 5
            options:
                fixed: false
        icao:
            type: string
            nullable: true
            length: 10
            options:
                fixed: false
        aeroporto:
            type: string
            nullable: false
            length: 100
            options:
                fixed: false
        citta:
            type: string
            nullable: false
            length: 100
            options:
                fixed: false
        country:
            type: string
            nullable: true
            length: 10
            options:
                fixed: false
        icaoareaCode:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
            column: icaoarea_code
        fusoOrario:
            type: string
            nullable: true
            length: 15
            options:
                fixed: false
            column: fuso_orario
        oraLegale:
            type: string
            nullable: true
            length: 20
            options:
                fixed: false
            column: ora_legale
        idcliente:
            type: integer
            nullable: true
            options:
                unsigned: false
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: true
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: true
            column: modify_date
        tolleranzaVolume:
            type: decimal
            nullable: true
            precision: 5
            scale: 2
            column: tolleranza_volume
        toleranzaPeso:
            type: decimal
            nullable: true
            precision: 5
            scale: 2
            column: toleranza_peso
    lifecycleCallbacks: {  }
